//================页面级别缓存===============
//获取每个页面的根路径
window.localStorage.rootPath = (location.href.substring(0,location.href.lastIndexOf("/")+1));

//==============  全局自定义方法 ================
//全局初始化
function init(sessionKey, contentHeight, offsetTop, userName, userId, pwd){
	//**********************   Session Storage ******************
	//--- 页面之间传递参数
	window.localStorage.param = "";
	
	//当前登陆用户名和ID
	window.localStorage.userName = userName;
	window.localStorage.userId = userId;
	window.localStorage.rememberPwd = pwd;
	//--- window.localStorage.sessionKey:  当前登陆（用户ID + 用户密码 + 设备号） 由服务端提供
	window.localStorage.sessionKey = sessionKey;
	
	//--- window.localStorage.contentHeight:  除去header以后content的高度值
	window.localStorage.contentHeight = contentHeight;
	window.localStorage.contentOffsetTop = offsetTop;
	
	//--- 服务订单状态
	//window.sessionStorage.serviceOrderStatus = getServiceOrderStatus();

	//--- 商品订单状态
	//window.sessionStorage.productOrderStatus = getProductOrderStatus();

	//********************** (2)   ******************

}
function initDevice(){
	uexDevice.cbGetInfo = function(opCode, dataType, data){
		var device = str2json(data);
		if (IsAndiordOs(device.os)) {
			window.localStorage.deviceType = "Android";
		}
		else {
			window.localStorage.deviceType = "IOS";
		}
		var deviceToken = device.deviceToken;
		if (deviceToken != null && deviceToken.length > 0) {
			window.localStorage.deviceToken = deviceToken;
		}
	}
}

function getOS(){
	uexDevice.getInfo('1');
	uexDevice.cbGetInfo = function(opCode, dataType, data){
		var device = str2json(data);
		if (IsAndiordOs(device.os)) {
			window.localStorage.deviceType = "Android";
		}
		else {
			window.localStorage.deviceType = "IOS";
		}
	}
}

function getDeviceToken(){
	uexDevice.getInfo('11');
	uexDevice.cbGetInfo = function(opCode, dataType, data){
		var device = str2json(data);
		var deviceToken = device.deviceToken;
		logs("deviceToken:" + deviceToken);
		
		if (deviceToken != null && deviceToken.length > 0) {
			window.localStorage.deviceToken = deviceToken;
		}
	}
}
//建立快速请求格式
function buildQuickRequest(mapObj){
	var userId = window.localStorage.userId;
	var sessionKey = window.localStorage.sessionKey;
	return buildRequest(userId,sessionKey,mapObj);
}

//建立请求格式
function buildRequest(userId, sessionKey, mapObj){
	if (mapObj == null || mapObj == "") {
		if (window.localStorage.debug == "true") {
			alert('请求格式：' + '{"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":""}');
		}
		
		uexLog.sendLog('Request : {"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":""}');
		return encoding64('{"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":""}');
	}
	else {
		if (window.localStorage.debug == "true") {
			alert('请求格式：' + '{"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":' + buildJSONStr(mapObj) + '}');
		}
		
		uexLog.sendLog('Request : {"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":' + buildJSONStr(mapObj) + '}');
		return encoding64('{"userId":"' + userId + '","sessionKey":"' + sessionKey + '","param":' + buildJSONStr(mapObj) + '}');
	}
}

//@Param  buildMap()  Map object
function buildJSONStr(map){
	var keys = map._keyset();
	var jsonStr = '{';

	for(var i=0;i<keys.length;i++){
		var mapKey = keys[i];
		var mapVal = map._get(keys[i]);
		
		//string
		if(typeof mapVal == 'string'){
			jsonStr+=('"'+mapKey+'":"'+mapVal+'",');
		}else{
			//object
			if(typeof mapVal == 'object'){
				
				 //数组
				 //Array<map>
				 if(typeof mapVal.length == 'number'){
				 		jsonStr+=('"'+mapKey+'":[');
				 	
				 	  for(var j=0;j<mapVal.length;j++){
				 	  	 jsonStr += (buildJSONStr(mapVal[j])+",");
				 	  }
				 	  
				 	  jsonStr = jsonStr.substring(0,jsonStr.length-1);
				 	  jsonStr += "],";
				 }else{
				 	//一个对象
				 	//Object<map>
				 	jsonStr+=('"'+mapKey+'":'+buildJSONStr(mapVal)+',');
				 }
			}else{
				  alert("Unexpected error...");
			}
		}
	}
	
	jsonStr = jsonStr.substring(0,jsonStr.length-1);
	jsonStr += "}";
	return jsonStr;
}

//key: string
//value: string / object
function buildMap(){
	var map = new Object();
	
	//put 方法
	map._put = function(key,value){
		map[key] = value;
	}
	
	//get 方法
	map._get = function(key){
		return map[key];
	}
	
	//keyset
	map._keyset = function(){
		var ret="";  
		for(var p in map){
			 if(typeof p == 'string' && p.substring(0,1) != '_'){
			 	 	ret+=",";  
          			ret+=p; 
			 }
		}
		
		if(ret==""){  
          	return ret.split(","); //empty array  
    	}else{  
         	return ret.substring(1).split(",");   
    	}  
	}
	
	return map;
}

//解析响应格式
function iResponse(userIdentifier,opid,responseString){
	if(window.localStorage.debug == "true"){
		alert("响应格式:"+responseString);
	}
	
	uexLog.sendLog('Response : '+responseString);
	//关闭异步请求
    uexXmlHttpMgr.close(opid);
	
	var response = new Object();
	var responseJSON = JSON.parse(responseString);
	var responseCode = responseJSON.resultCode;
	var responseValue = responseJSON.resultValue;
	response["resultCode"] = responseCode;
	response["resultValue"] = responseValue;
	response["opid"] = opid;
	response["userIdentifier"] = userIdentifier;
	
	
	//成功
	response._handle = function(successCallback){
			clearToast();
			if(response["opid"] == 1){
					//成功
					if(response["resultCode"] == "1"){
						 successCallback(response["resultValue"]);
					}else if(response["resultCode"] == "0"){
						$toast(window.localStorage.returnPlus0, '2000');
						uexLog.sendLog("用户:"+response["userIdentifier"] 
										+ " 请求失败! " + window.localStorage.returnPlus0);
					}
					else if(response["resultCode"] == "-1"){
						$toast(window.localStorage.returnMinus1, '2000');
						uexLog.sendLog("用户:"+response["userIdentifier"]+" 密码不正确!");
					}else if(response["resultCode"] == "-10"){
						$toast(window.localStorage.returnMinus10, '2000');
						uexLog.sendLog("用户:"+response["userIdentifier"]+" 手机号不存在!");
					}else if(response["resultCode"] == "-20"){
						$toast(window.localStorage.returnMinus20, '2000');
						uexLog.sendLog("用户:"+response["userIdentifier"]+" 没有登录或者会话过期!");
					}
					else if (response["resultCode"] == "-30") {
						$toast(window.localStorage.returnMinus30, '2000');
						uexLog.sendLog("用户:" + response["userIdentifier"] + "尚未通过审核,登录失败!");
					}
					else if (response["resultCode"] == "-40") {
						$toast(window.localStorage.returnMinus40, '2000');
						uexLog.sendLog("用户:" + response["userIdentifier"] + "已经离职,登录失败!");
					}
					else if (response["resultCode"] == "-50") {
						$toast(window.localStorage.returnMinus50, '2000');
						uexLog.sendLog("用户:" + response["userIdentifier"] + "尚未通过认证,登录失败!");
					}
					else if (response["resultCode"] == "-60") {
						$toast(window.localStorage.returnMinus60, '2000');
						uexLog.sendLog("用户:" + response["userIdentifier"] + "已经被冻结,登录失败!");
					}
					else {
						$toast(window.localStorage.returnMinus99, '2000');
						uexLog.sendLog("用户:" + response["userIdentifier"] + " 非正常错误!");
					}
					
			}else{
					$toast(window.localStorage.returnMinus99, '2000');
					uexLog.sendLog("用户:"+response["userIdentifier"]+" 非正常错误，请联系管理员!");
			}
	}
	return response;
}

function checkNetwork(){
	var result = true;
	uexDevice.cbGetInfo = function(opCode, dataType, data){
		var device = eval('(' + data + ')');
		var connectStatus = device.connectStatus;
		if (connectStatus != null && connectStatus.length > 0) {
			if (connectStatus == -1) {
				result = false;
				uexWindow.alert('网络无法连接...');
			}
		}
	}
	uexDevice.getInfo('13');
	return result;
}

//跨域异步请求POST提交
function ajaxCall(action, encryptParam){
	ajaxCall(action, encryptParam, httpSuccess);
}


function ajaxCall(actionUrl, encryptParam, callBack){
	if (checkNetwork()) {
		addToast();
		var iCallback = function(opid, state, result){
			logs('callback state: ' + state + " result: " + result);
			clearToast();
			logs("type:" + typeof(state) + " " + (state == 1));
			if (state == -1 || state == '-1') {
				uexXmlHttpMgr.close(opid);
				logs('timeout');
				$toast('网络连接超时...', '2000');
			}
			else 
				if (state == 1 || state == '1') {
					logs('state: ' + state);
					uexXmlHttpMgr.close(opid);
					//				result = result.replace(/:null/ig,':""');
					//result = str2json(result);
					logs('callback: ');
					logs(result);
					callBack(opid, state, result);
				}
				else {
					logs("result = " + result);
				}
		}
		logs(window.localStorage.baseURL + actionUrl + "?appParam=" + encodeURIComponent(encryptParam));
		
		//初始化AJAX
		uexXmlHttpMgr.setHeaders("1", '{"Content-type":"application/json;charset=utf-8","Cache-Control":"no-cache","Accept":"*/*"}');
		uexXmlHttpMgr.onData = iCallback;
		//***get
		uexXmlHttpMgr.open("1", "GET", (window.localStorage.baseURL + actionUrl + "?appParam=" + encodeURIComponent(encryptParam)), 20000);
		//uexXmlHttpMgr.open("1", "GET", (window.localStorage.baseURL + actionUrl + "?appParam=" + encryptParam), 20000);
		uexXmlHttpMgr.send("1");
		uexLog.sendLog("Request: " + (window.localStorage.baseURL + actionUrl + "?appParam=" + encodeURIComponent(encryptParam)));
		//uexLog.sendLog("Request: " + (window.localStorage.baseURL + actionUrl + "?appParam=" + encryptParam));
	}
}


//@Return  JSON string
function httpSuccess(opid, state, result){
	//关闭异步请求
	uexXmlHttpMgr.close(opid);
	if (opid == 1) {
		return JSON.stringify(result);
	}
	else {
		//unexpected error
		uexWindow.alert(window.localStorage.error);
	}
}

function encoding64(str){
	return new Base64().encode(str);
}

function decoding64(str){
	return new Base64().decode(str);
}

function addToast(){
	addGlass();
	//uexWindow.$toast(0, 5, '加载中..', 0);
	if (!$$('_toast') || $$('_toast') == undefined) {
		var toast = document.createElement("div");
		toast.id = '_toast';
		toast.style.width = "100%";
		toast.style.top = "40%";
		toast.style.zIndex = "1000"
		toast.style.position = "fixed";
		toast.style.textAlign = "center";
		var loadingImg = "<img src='../css/images/loading.gif' style='width:3em;height=1.125em' >";
		toast.innerHTML = loadingImg;
		var body = document.body;
		body.appendChild(toast);
	}
	
}

function $toast(content, time){
	if (!$$('_toastContent') || $$('_toastContent') == undefined) {
		var toastContent = document.createElement("div");
		toastContent.id = '_toastContent';
		toastContent.className = "ub ub-pc";
		toastContent.style.width = "100%";
		toastContent.style.height = "100%";
		//toastContent.style.top = "40%";
		toastContent.style.top = "0";
		toastContent.style.left = "0";
		//toastContent.style.zIndex = "1000"
		toastContent.style.position = "fixed";
		toastContent.style.backgroundColor="#000000";
		toastContent.style.opacity="0.6";
		
		//var divContent = "<span class='uc-a1 ub uinn-a10  t-wh tx-c ub-pc' style='width:94%;background-color:#000000;opacity:0.7;'>" + content + "</span>";
		//var divContent = "<span class='uc-a1 ub uinn-a10  t-wh tx-c ub-pc' style='width:90%; height:3em;top:30%;background-color:#FFFFFF;color:#000000;line-height: 3em;vertical-align: middle;z-Index:1001'>" + content + "</span>";
		//toastContent.innerHTML = divContent;
		var divContent = document.createElement("div");
		divContent.id="_divContent";
		divContent.className="uc-a1 ub uinn-a10  t-wh tx-c ub-pc ub-ac";
		divContent.style.width = "90%";
		divContent.style.height="3em";
		divContent.style.top="30%";
		divContent.style.left="5%";
		divContent.style.backgroundColor="#FFFFFF";
		divContent.style.color="#000000";
		divContent.style.position="fixed";
		divContent.innerHTML=content;
		var body = document.body;
		body.appendChild(toastContent);
		body.appendChild(divContent);
		if (parseInt(time) > 0) {
			setTimeout(function(){
				clearGlass();
			}, time);
		}
		
	}
	
}

//退出toast 提示框 
//1.content  内容
//2.time 显示时间
function $existToast(content, time){
	if (!$$('_toastContent') || $$('_toastContent') == undefined) {
		var toastContent = document.createElement("div");
		toastContent.id = '_toastContent';
		toastContent.className = "ub ub-pc";
		toastContent.style.width = "100%";
		toastContent.style.height = "100%";
		toastContent.style.top = "0";
		toastContent.style.left = "0";
		toastContent.style.position = "fixed";
		toastContent.style.opacity="0.5";
		
		var divContent = "<span class='uc-a1 ub uinn-a10  t-wh tx-c ub-pc ub-ac' style='width:90%; height:3em;top:70%;background-color:#000000;color:#FFFFFF;z-Index:1001'>" + content + "</span>";
		toastContent.innerHTML = divContent;
		var body = document.body;
		body.appendChild(toastContent);
		//body.appendChild(divContent);
		if (parseInt(time) > 0) {
			setTimeout(function(){
				clearGlass();
			}, time);
		}
		
	}
	
}

function clearToast(){
	uexWindow.closeToast();
	clearGlass();
}

function addGlass(){
	logs('addGlass');
	var glass = document.createElement('div');
	glass.id='glass';
	glass.className='glass';
	glass.style.height='100%';
	glass.style.width='100%';		
	
	var body = document.body;
	body.appendChild(glass);
	
}

function clearGlass(){
	logs('clearGlass');
	if ($$('glass')) {
		document.body.removeChild($$('glass'));
	}
	if ($$('_toast')) {
		document.body.removeChild($$('_toast'));
	}
	
	if ($$('_toastContent')) {
		document.body.removeChild($$('_toastContent'));
	}
	if ($$('_divContent')) {
		document.body.removeChild($$('_divContent'));
	}
}

//校验
function isNumber(str){
			var reg = /^(0|[1-9][0-9]*)$/; 
			var rel = str.match(reg); 
			return rel != null;
}

function inInLengthRange(str,start,end){
	return str.length >= start && str.length <= end;
}


function isEmpty(str){
			return (str == null || trim(str) == "");
}

function trim(str){ 
			//删除左右两端的空格
　　     return str.replace(/(^\s*)|(\s*$)/g, "");
}

function replaceAll(source,target,replacement){
	    return source.replace(new RegExp(target,"gm"),replacement);
}

//**************************************** 业务接口 ********************************
//====================== 全局接口 ==============================
//获取数据字典
function iGetGender(){
    return [{
        "gender_display": "男",
        "gender_value": "1"
    }, {
        "gender_display": "女",
        "gender_value": "0"
    }]
}

//=======================登陆，登出，与修改密码=============
//@Return sessionKey 加密后返回
 function iLogin(userName, password, device, deviceType, callBack){
 	//使用base64加密算法加密http消息体
		//sessionKey为加密后返回的
		var map = buildMap();
		map._put("userName", userName);
		map._put("password", password);
		map._put("device", device);
		map._put("deviceType", deviceType);
		var requestJSON = buildRequest("", "", map);
		//登陆
		ajaxCall("AppEmployeeCrowdsource/CdsEmployeeLogin", requestJSON, callBack);
	}

function clearAuthentication(){
    //清除当前登陆用户名和ID，sessionKey
    window.localStorage.userName = "";
    window.localStorage.userId = "";
    window.localStorage.sessionKey = "";
}

function doLogout(callBack){
	//var map = buildMap();
	//var requestJSON = buildRequest("", "", "");
//	var requestJSON = buildQuickRequest("");
//	//登陆
//	ajaxCall("AppEmployeeCrowdsource/CdsEmployeeLogout", requestJSON, callBack);

	var map=buildMap();
	map._put("type","Cds");
	map._put("deviceType",localStorage.deviceType);
	map._put("deviceToken",localStorage.deviceToken);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployee/UserLogout",requestJSON,callBack);
}

//注册新用户
function CdsEmployeeRegister(city, service, username, pwd, phoneNum, idCardImage, otherPapersImages, profile, callBack){
	var map = buildMap();
	map._put("cityId", city);
	map._put("serviceId", service);
	map._put("userName", username);
	map._put("password", pwd);
	map._put("phoneNumber", phoneNum);
	map._put("idCardImage", idCardImage);
	map._put("otherPapersImages", otherPapersImages);
	map._put("profile", profile);
	var requestJSON = buildRequest("", "", map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsEmployeeRegister", requestJSON, callBack);
}
function userUpdatePassword (oldPwd,newPwd,callBack){
	 var map = buildMap();
		map._put("oldPasswd", oldPwd);
		map._put("newPasswd", newPwd);
		var requestJSON = buildRequest(useId, "", map);
		//登陆
		ajaxCall("AppEmployeeCrowdsource/CdsChangepasswd", requestJSON, callBack);
}
//账号检测
function iCheckPhoneNum(phoneNum, callBack){
	var map = buildMap();
	map._put("phoneNum", phoneNum);
	var requestJSON = buildRequest("", "", map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CheckPhoneNum", requestJSON, callBack);
}
//发送验证码
function iSendCaptchaSMS(phoneNum, callBack){
	var map = buildMap();
	map._put("phoneNum", phoneNum);
	var requestJSON = buildRequest("", "", map);
	//登陆
	ajaxCall("AppUser/SendCaptchaSMS", requestJSON, callBack);
}
function iResetPwd(phoneNum, captcha, captchaId, pwd, callBack){
	var map = buildMap();
	map._put("phoneNum", phoneNum);
	map._put("captcha", captcha);
	map._put("captchaId", captchaId);
	map._put("pwd", pwd);
	var requestJSON = buildRequest("", "", map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsResetPwd", requestJSON, callBack);
	
}
//获取设备的经纬度
function updDeviceLongitudeAndLatitude(callback){

	/*
if (window.sessionStorage.sessionKey == '') {
		return;
	}
*/
	
	
	var Longitude = "";
	var Latitude = "";
	uexDevice.getInfo('1');
	
	uexLog.sendLog('updDeviceLongitudeAndLatitude');
	uexDevice.cbGetInfo = function(opCode, dataType, data){
		var device = str2json(data);
		
		var map;
		if (IsAndiordOs(device.os)) {//Andiord 定位 
			uexLog.sendLog(device.os);
			uexBaiduMap.open('6643147DF56BD40F6140AB3ABA5A3FFBE12C439F', 0, 0, 0, 0, '116.401', '39.925');
			uexBaiduMap.cbGetCurrentLocation = function(i, t, data){
				var mapData = str2json(data);
				Longitude = mapData.longitude;
				Latitude = mapData.latitude;
				uexLog.sendLog(Longitude + '--' + Latitude);
				//alert(mapData.longitude + '--' + mapData.latitude);
				window.localStorage.currentLongitude = Longitude;
				window.localStorage.currentLatitude = Latitude;
				if (callback != "" && typeof(callback) != "undefined") {
					iCdsUpdateLocation(Longitude, Latitude, callback);
				}
			};
			uexBaiduMap.getCurrentLocation();
		}
		else {//ios 定位
			var geolocation = new BMap.Geolocation(); //实例化浏览器定位对象。
			geolocation.getCurrentPosition(function(r){ //定位结果对象会传递给r变量
				if (this.getStatus() == BMAP_STATUS_SUCCESS) { //通过Geolocation类的getStatus()可以判断是否成功定位。
					//alert(r.point.lng + '--' + r.point.lat);
					Longitude = r.point.lng;
					Latitude = r.point.lat;
					window.localStorage.currentLongitude = Longitude;
					window.localStorage.currentLatitude = Latitude;
					if (callback != "" && typeof(callback) != "undefined") {
						iCdsUpdateLocation(Longitude, Latitude, callback);
					}
				}
				else {
					uexLog.sendLog('定位失败，编码：' + this.getStatus());
				//alert('定位失败，编码：' + this.getStatus());
				}
			}, {
				enableHighAccuracy: true
			});
		}
	}
	
}

function openLocation(){
	//0最准确，1十米以内 ，2百米以内，3千米内，4三千米以内
	var locLevel = 0;
	//distanceFilter 更新距离，如果设置为 100m,则100m以内不回调定位
	var distanceFilter = 10;
	uexLocation.openLocation(locLevel, distanceFilter);
}

function IsAndiordOs(os){
	return os.toLowerCase().indexOf('android') != -1;
}
//心跳接口
function iCdsUpdateLocation(longitude, latitude, callback){
	var map = buildMap();
	map._put("longitude", longitude.toString());
	map._put("latitude", latitude.toString());
	//window.localStorage.currentLongitude = longitude.toString();
	//window.localStorage.currentLatitude = latitude.toString();
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployeeCrowdsource/CdsUpdateLocation", requestJSON, callback);
}

//更新众包服务人员设备信息
function iUpdateCdsUserDeviceInfo(deviceToken, deviceType, callback){
	var map = buildMap();
	map._put("deviceToken", deviceToken);
	map._put("deviceType", deviceType);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppCrowdsourceService/UpdateCdsUserDeviceInfo", requestJSON, callback);
}

//=======================页面接口======================================
//================= tab1_content Interfaces （可接订单）======================

//(1)  查询接订单按时间排序
//orderType  订单” normal”, 抢单” snatch”
//sortBy:    时间 time  地点 location
//sortType:  升序 asc  倒叙 desc
//status:    服务订单状态
function iGetAvailableNormalOrderList(orderType, sortBy, sortType, pageIndex, pageSize, currentLongitude, currentLatitude, callback){
	var status = window.localStorage.OrderAccept;
	getOrderList(orderType, sortBy, sortType, status, pageIndex, pageSize, currentLongitude, currentLatitude, callback);
}
///抢单+服务人员拒绝的订单
function iGetAvailableSnatchOrderList(orderType, sortBy, sortType, pageIndex, pageSize, currentLongitude, currentLatitude, callback){
	var status = window.localStorage.OrderSnatch;
	getOrderList(orderType, sortBy, sortType, status, pageIndex, pageSize, currentLongitude, currentLatitude, callback);
}
//查询出所有订单的信息
function iGetAvailableAllOrderList(orderType, sortBy, sortType, pageIndex, pageSize, currentLongitude, currentLatitude, callback){
	var status = window.localStorage.OrderAccept + ',' + window.localStorage.OrderSnatch;
	getOrderList(orderType, sortBy, sortType, status, pageIndex, pageSize, currentLongitude, currentLatitude, callback);
}

function getOrderList(orderType, sortBy, sortType, status, pageIndex, pageSize, currentLongitude, currentLatitude, callback){
	var map = buildMap();
	map._put("orderType", orderType);
	map._put("sortBy", sortBy);
	map._put("sortType", sortType);
	map._put("status", status);
	map._put("pageIndex", pageIndex);
	map._put("pageSize", pageSize);
	map._put("currentLongitude", currentLongitude);
	map._put("currentLatitude", currentLatitude);
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsGetOrderList", requestJSON, callback);
}


//接单抢单
function iAcceptOrder(orderId, callback){
	var status = window.localStorage.OrderService;
	iUpdOrderStatus(orderId, status, "", "", callback);
}
//服务人员拒绝订单
function iServiceRejectOrder(orderId, rejectComment, callback){
	var status = window.localStorage.OrderServiceReject;
	iUpdOrderStatus(orderId, status, rejectComment, "", callback);
}

//(3)修改订单状态  
//@Param: orderId :  订单ID
function iUpdOrderStatus(orderId, status, rejectComment, serviceOrderPay, callback){
	//成功
	var map = buildMap();
	map._put("orderId", orderId);
	map._put("status", status);
	map._put("rejectComment", rejectComment);
	map._put("serviceOrderPay", serviceOrderPay);
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsUpdateOrderStatus", requestJSON, callback);
}
//================= tab1_content Interfaces（待处理订单 ） start ======================
//(1) 查询已接订单按时间排序
//@Param: sortByTime -- ASC /  DESC
//@Param: pageNo -   1, 2 , 3 ....
function iGetOngoingOrderListSort(orderType, sortBy, sortType, pageIndex, pageSize, currentLongitude, currentLatitude, callback){
	//成功
	var status = window.localStorage.OrderService;//待服务
	var map = buildMap();
	map._put("orderType", orderType);
	map._put("sortBy", sortBy);
	map._put("sortType", sortType);
	map._put("status", status);
	map._put("pageIndex", pageIndex);
	map._put("pageSize", pageSize);
	map._put("currentLongitude", currentLongitude);
	map._put("currentLatitude", currentLatitude);
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsGetOrderList", requestJSON, callback);
}

//2 服务订单详情
//@Param: orderId  
function iServiceOrderDetail(orderId, callback){
	//成功
	var map = buildMap();
	map._put("orderId", orderId);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployeeCrowdsource/CdsDetailOrder", requestJSON, callback);
}
//3 用户拒绝订单
function iRejectOrder(orderId, rejectComment, callback){
	var status = window.localStorage.OrderServiceReject;//拒绝服务状态
	iUpdOrderStatus(orderId, status, rejectComment, callback);
}

//4 完成服务订单
function iFinishOrder(orderId, serviceOrderPay, callback){
	var status = window.localStorage.OrderFinish; //完成服务
	iUpdOrderStatus(orderId, status, "", serviceOrderPay, callback);
}

//================= tab1_content Interfaces（待处理订单）end ======================

//================= tab2_content Interfaces （我的）start ======================
//获取用户信息
function iGetAccountInfo(callback){
	var requestJSON = buildQuickRequest("");
	ajaxCall("AppEmployeeCrowdsource/CdsGetEmpAccountInfo", requestJSON, callback);
}
// 公告
function igetAnnouncement(pageNo,callback){
	var map = buildMap();
	map._put("pageNo", pageNo.toString());
	map._put("pageSize", window.localStorage.PageSize);
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppCrowdsourceService/GetAnnouncements", requestJSON, callback);
}
function igetAnnouncementDetail(announceID,callback){
	var map = buildMap();
	map._put("announceID", announceID.toString());
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppCrowdsourceService/GetAnnouncementsDetail", requestJSON, callback);
	//return JSON.stringify(arrData);
}
//更新账户信息
function iSaveAccount(callback, accountDetail){
	var map = buildMap();
	map._put("account_id", accountDetail.account_id);
	map._put("account_imagepath", accountDetail.account_imagepath);
	map._put("account_name", accountDetail.account_name);
	map._put("account_username", accountDetail.account_username);
	map._put("account_mobile", accountDetail.account_mobile);
	map._put("account_servicedesc", accountDetail.account_servicedesc);
	map._put("account_gender_value", accountDetail.account_gender_value);
	map._put("account_status_value", accountDetail.account_status_value);
	//var requestJSON = buildQuickRequest(map);
	//ajaxCall("Employee/UpdateEmpAccount", requestJSON, callback);
}

//===== 查询历史订单 =======
function igetOrderHistories(keyword, pageIndex, pageSize, callback){
	var map = buildMap();
	map._put("keyword", keyword);
	map._put("pageIndex", pageIndex);
	map._put("pageSize", pageSize);
	var requestJSON = buildQuickRequest(map);
	//登陆
	ajaxCall("AppEmployeeCrowdsource/CdsQueryOrder", requestJSON, callback);
}

//===== 评价管理 =======
function iGetAssessment(startDate, endDate, callback){
	var map = buildMap();
	map._put("dateFrom", startDate);
	map._put("dateTo", endDate);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployeeCrowdsource/CdsEvaluateEmp", requestJSON, callback);
}
function iGetCommentList(startDate, endDate, type, pageNo, pageSize, callback){
	var map = buildMap();
	map._put("startDate", startDate);
	map._put("endDate", endDate);
	map._put("type", type);
	map._put("pageNo", pageNo);
	map._put("pageSize", pageSize);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployeeAccount/GetCommentList", requestJSON, callback);
}
//推送设置
function iMessageSet(pushMsg,callback){
	var map = buildMap();
	map._put("pushMsg", pushMsg);
	var requestJSON = buildQuickRequest(map);
	ajaxCall("AppEmployeeCrowdsource/CdsUptUserSetup", requestJSON, callback);
}
//================= tab2_content Interfaces （我的）end ======================
//================= tab3_content Interfaces （更多）======================
//(1) 获取最新版本
function igetVersion(appName, type, callback){
	var map = buildMap();
	map._put("appName", appName);
	map._put("type", type);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppVersion/CheckAppVersion", requestJSON, callback);
}



//(2) 接单秘籍
function getTips(type, contentType, callback){
	var map = buildMap();
	map._put("type", type);
	map._put("contentType", contentType);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppVersion/APPRichTextInfo", requestJSON, callback);
	
}

//(3) 获取使用说明
function getSpecification(type, contentType, callback){
	var map = buildMap();
	map._put("type", type);
	map._put("contentType", contentType);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppVersion/APPRichTextInfo", requestJSON, callback);
}
//4 关于我们
function aboutUs(type, contentType, callback){
	var map = buildMap();
	map._put("type", type);
	map._put("contentType", contentType);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppVersion/APPRichTextInfo", requestJSON, callback);
}
//5 获取信息
function APPRichTextInfo(type, contentType, callback){
	var map = buildMap();
	map._put("type", type);
	map._put("contentType", contentType);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppVersion/APPRichTextInfo", requestJSON, callback);
}
//================= tab3_content Interfaces （更多）======================

function igetCityList(callback){
	var requestJSON = buildRequest("", "", "");
	ajaxCall("AppCrowdsourceService/GetCityListWithCdsService", requestJSON, callback);
}

function igetServiceList(CityId,callback)
{
	var map = buildMap();
	map._put("cityId", CityId);
	var requestJSON = buildRequest("", "", map);
	ajaxCall("AppCrowdsourceService/GetCdsServicebyCity", requestJSON, callback);
}

//==============================

function downloadApk(url){
	var xmlhttp = new XMLHttpRequest();
	xmlhttp.open("GET", url, false);
	xmlhttp.send();
	if (xmlhttp.readyState == 4) {
		if (xmlhttp.status == 200) {
			window.open(url);
		}
		else {
			$toast("下载错误", '2000');
		}
	}
}

function imgContent(content, url){
	var str = content;
	var reg = new RegExp("(<img.*src=\"\.*?\>)"); //正则表达式
	var re = /src="([^"]*)"/g;
	if (str.match(reg) == null) {
		return content;
	}
	str = str.replace(/src="/g, ' style="width:100%" src="' + url + '')
	return str;
}